searchData={"items":[{"type":"module","title":"Weather","doc":"Gets and displays weather information.\n>","ref":"Weather.html"},{"type":"module","title":"API Key Needed {: .info} - Weather","doc":">\n> In order to use `Weather`, you'll need to create an account at [OpenWeatherMap](https://openweathermap.org/) and get an API key for the [One Call API 3.0](https://openweathermap.org/api/one-call-3) service.\n>\n> The service allows for 1,000 free API calls per day.","ref":"Weather.html#module-api-key-needed-info"},{"type":"function","title":"Weather.get/1","doc":"Fetches weather from the OpenWeatherMap API.","ref":"Weather.html#get/1"},{"type":"module","title":"Weather.API","doc":"Fetches weather data from the OpenWeatherMap API.","ref":"Weather.API.html"},{"type":"function","title":"Weather.API.fetch_weather/1","doc":"Fetches weather data from the OpenWeatherMap API.","ref":"Weather.API.html#fetch_weather/1"},{"type":"module","title":"Weather.CLI","doc":"Provides a command-line interface for fetching weather data via the\nOpenWeatherMap API. This module is intended to be invoked as an escript.","ref":"Weather.CLI.html"},{"type":"function","title":"Weather.CLI.main/1","doc":"The main module function invoked by the escript.","ref":"Weather.CLI.html#main/1"},{"type":"type","title":"Weather.CLI.args/0","doc":"","ref":"Weather.CLI.html#t:args/0"},{"type":"module","title":"Weather.Colors","doc":"Provides ANSI color codes for use in the Weather module.","ref":"Weather.Colors.html"},{"type":"function","title":"Weather.Colors.colorize/2","doc":"Colorizes a string according to a color code.","ref":"Weather.Colors.html#colorize/2"},{"type":"function","title":"Weather.Colors.colorize_temp/2","doc":"Formats and colorizes a temperature.","ref":"Weather.Colors.html#colorize_temp/2"},{"type":"function","title":"Weather.Colors.list/0","doc":"Prints colorized text with associated color codes.","ref":"Weather.Colors.html#list/0"},{"type":"function","title":"Weather.Colors.list_current/1","doc":"Prints the current color configuration.","ref":"Weather.Colors.html#list_current/1"},{"type":"function","title":"Weather.Colors.remove_ansi/1","doc":"Removes ANSI characters from a given string.","ref":"Weather.Colors.html#remove_ansi/1"},{"type":"module","title":"Weather.DateUtils","doc":"Provides date display utilities.","ref":"Weather.DateUtils.html"},{"type":"function","title":"Weather.DateUtils.time_by_hour/3","doc":"Returns the time specific to the hour, displayed in 12-hour or 24-hour format.","ref":"Weather.DateUtils.html#time_by_hour/3"},{"type":"function","title":"Weather.DateUtils.time_by_minute/3","doc":"Returns the time specific to the minute, displayed in 12-hour or 24-hour format.","ref":"Weather.DateUtils.html#time_by_minute/3"},{"type":"module","title":"Weather.Opts","doc":"The `Weather.Opts` struct.\n\nFields:\n\n  * `:appid` - a string representing the OpenWeatherMap API key.\n\n  * `:colors` - a boolean representing whether or not to colorize the output\n    of the hourly report. Defaults to true.\n\n  * `:every_n_hours` - an integer representing the hour interval at which data is\n    reported for the hourly report. Defaults to 3.\n\n  * `:hide_alerts` - a boolean representing whether to hide weather alerts, even\n    when alerts are available. Defaults to false, which shows alerts if there\n    are any available.\n\n  * `:alert_titles_only` - a boolean representing whether to show only the titles\n    of weather alerts. Defaults to false, which shows titles along with full\n    alert descriptions.\n\n  * `:hours` - an integer representing the number of hours to report on for the\n    hourly report. Defaults to 12. Max is 48.\n\n  * `:latitude` - a float representing the latitude of your location.\n\n  * `:longitude` - a float representing the longitude of your location.\n\n  * `:test` - a string representing the type of fake weather data to return for\n    testing purposes. Options are \"clear\", \"rain\", \"storm\".\n\n  * `:twelve` - a boolean representing whether to use 12-hour time format for\n    the hourly report. Defaults to true. When false, 24-hour time format is used.\n\n  * `:units` - a string representing the units of measurement. Default is\n    \"imperial\" (Fahrenheit). Other options are \"metric\" (Celsius) and\n    \"standard\" (Kelvin).","ref":"Weather.Opts.html"},{"type":"function","title":"Weather.Opts.new/1","doc":"Create a new `Weather.Opts` struct, applying defaults where necessary.","ref":"Weather.Opts.html#new/1"},{"type":"type","title":"Weather.Opts.parsed_args/0","doc":"","ref":"Weather.Opts.html#t:parsed_args/0"},{"type":"type","title":"Weather.Opts.t/0","doc":"","ref":"Weather.Opts.html#t:t/0"},{"type":"module","title":"Weather.Report","doc":"Generates a comprehensive weather report composed of subreports.","ref":"Weather.Report.html"},{"type":"function","title":"Weather.Report.generate/2","doc":"Create a comprehensive weather report composed of subreports.","ref":"Weather.Report.html#generate/2"},{"type":"module","title":"Weather.Report.Alerts","doc":"Generates a report for any active alerts.","ref":"Weather.Report.Alerts.html"},{"type":"function","title":"Weather.Report.Alerts.generate/1","doc":"Generate a report for any active alerts.","ref":"Weather.Report.Alerts.html#generate/1"},{"type":"module","title":"Weather.Report.Current","doc":"Generates a report for the current weather.","ref":"Weather.Report.Current.html"},{"type":"function","title":"Weather.Report.Current.generate/1","doc":"Generate a report for the current weather.","ref":"Weather.Report.Current.html#generate/1"},{"type":"module","title":"Weather.Report.Hourly","doc":"Generates an hourly report up to 48 hours, reporting every N hours (starting now, N defaulting to 3).","ref":"Weather.Report.Hourly.html"},{"type":"function","title":"Weather.Report.Hourly.generate/1","doc":"Generate an hourly report.","ref":"Weather.Report.Hourly.html#generate/1"},{"type":"module","title":"Weather.Report.Rain","doc":"Generates a chart showing rain intensity each minute for the next hour.","ref":"Weather.Report.Rain.html"},{"type":"function","title":"Weather.Report.Rain.generate/1","doc":"Generates a rain report.","ref":"Weather.Report.Rain.html#generate/1"},{"type":"extras","title":"Weather","doc":"# Weather\n\n[![Build\nStatus](https://github.com/spencerolson/weather/actions/workflows/elixir.yml/badge.svg)](https://github.com/spencerolson/weather/actions/workflows/elixir.yml) [![Hex.pm](https://img.shields.io/hexpm/v/weather.svg)](https://hex.pm/packages/weather) [![Documentation](https://img.shields.io/badge/documentation-purple)](https://hexdocs.pm/weather)\n\n![](priv/static/images/demo.gif)","ref":"readme.html"},{"type":"extras","title":"Installation - Weather","doc":"Coming soon!","ref":"readme.html#installation"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,48]}}